SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
SLNet::StatisticsHistory::TimeAndValueQueue Struct Reference

`#include <slikenet/StatisticsHistory.h>`

## Public Member Functions

| TimeAndValueQueue ()
| ~TimeAndValueQueue ()
void | SetTimeToTrackValues (Time t)
Time | GetTimeToTrackValues (void) const
SHValueType | GetRecentSum (void) const
SHValueType | GetRecentSumOfSquares (void) const
SHValueType | GetLongTermSum (void) const
SHValueType | GetRecentAverage (void) const
SHValueType | GetRecentLowest (void) const
SHValueType | GetRecentHighest (void) const
SHValueType | GetRecentStandardDeviation (void) const
SHValueType | GetLongTermAverage (void) const
SHValueType | GetLongTermLowest (void) const
SHValueType | GetLongTermHighest (void) const
SHValueType | GetSumSinceTime (Time t) const
Time | GetTimeRange (void) const
void | ResizeSampleSet (int approximateSamples, DataStructures::Queue< StatisticsHistory::TimeAndValue > &blendedSamples, SHDataCategory dataCategory, Time timeClipStart=0, Time timeClipEnd=0)
void | Clear (void)
TimeAndValueQueue & | operator= (const TimeAndValueQueue &input)
void | CullExpiredValues (Time curTime)

## Static Public Member Functions

static void | MergeSets (const TimeAndValueQueue *lhs, SHDataCategory lhsDataCategory, const TimeAndValueQueue *rhs, SHDataCategory rhsDataCategory, TimeAndValueQueue *output)
static SHValueType | Interpolate (TimeAndValue t1, TimeAndValue t2, Time time)

## Public Attributes

DataStructures::Queue < TimeAndValue > | values
Time | timeToTrackValues
RakString | key
SHValueType | recentSum
SHValueType | recentSumOfSquares
SHValueType | longTermSum
SHValueType | longTermCount
SHValueType | longTermLowest
SHValueType | longTermHighest
SHValueType | sortValue

## Detailed Description

Definition at line 135 of file StatisticsHistory.h.

## Constructor & Destructor Documentation

SLNet::StatisticsHistory::TimeAndValueQueue::TimeAndValueQueue | ( |  | ) |

SLNet::StatisticsHistory::TimeAndValueQueue::~TimeAndValueQueue | ( |  | ) |

## Member Function Documentation

void SLNet::StatisticsHistory::TimeAndValueQueue::Clear | ( | void |  | ) |

void SLNet::StatisticsHistory::TimeAndValueQueue::CullExpiredValues | ( | Time | curTime | ) |

SHValueType SLNet::StatisticsHistory::TimeAndValueQueue::GetLongTermAverage | ( | void |  | ) | const

SHValueType SLNet::StatisticsHistory::TimeAndValueQueue::GetLongTermHighest | ( | void |  | ) | const

SHValueType SLNet::StatisticsHistory::TimeAndValueQueue::GetLongTermLowest | ( | void |  | ) | const

SHValueType SLNet::StatisticsHistory::TimeAndValueQueue::GetLongTermSum | ( | void |  | ) | const

SHValueType SLNet::StatisticsHistory::TimeAndValueQueue::GetRecentAverage | ( | void |  | ) | const

SHValueType SLNet::StatisticsHistory::TimeAndValueQueue::GetRecentHighest | ( | void |  | ) | const

SHValueType SLNet::StatisticsHistory::TimeAndValueQueue::GetRecentLowest | ( | void |  | ) | const

SHValueType SLNet::StatisticsHistory::TimeAndValueQueue::GetRecentStandardDeviation | ( | void |  | ) | const

SHValueType SLNet::StatisticsHistory::TimeAndValueQueue::GetRecentSum | ( | void |  | ) | const

SHValueType SLNet::StatisticsHistory::TimeAndValueQueue::GetRecentSumOfSquares | ( | void |  | ) | const

SHValueType SLNet::StatisticsHistory::TimeAndValueQueue::GetSumSinceTime | ( | Time | t | ) | const

Time SLNet::StatisticsHistory::TimeAndValueQueue::GetTimeRange | ( | void |  | ) | const

Time SLNet::StatisticsHistory::TimeAndValueQueue::GetTimeToTrackValues | ( | void |  | ) | const

static SHValueType SLNet::StatisticsHistory::TimeAndValueQueue::Interpolate | ( | TimeAndValue | t1,
|  | TimeAndValue | t2,
|  | Time | time
| ) |  |

static

static void SLNet::StatisticsHistory::TimeAndValueQueue::MergeSets | ( | const TimeAndValueQueue * | lhs,
|  | SHDataCategory | lhsDataCategory,
|  | const TimeAndValueQueue * | rhs,
|  | SHDataCategory | rhsDataCategory,
|  | TimeAndValueQueue * | output
| ) |  |

static

TimeAndValueQueue& SLNet::StatisticsHistory::TimeAndValueQueue::operator= | ( | const TimeAndValueQueue & | input | ) |

void SLNet::StatisticsHistory::TimeAndValueQueue::ResizeSampleSet | ( | int | approximateSamples,
|  | DataStructures::Queue< StatisticsHistory::TimeAndValue > & | blendedSamples,
|  | SHDataCategory | dataCategory,
|  | Time | timeClipStart = `0`,
|  | Time | timeClipEnd = `0`
| ) |  |

void SLNet::StatisticsHistory::TimeAndValueQueue::SetTimeToTrackValues | ( | Time | t | ) |

## Member Data Documentation

RakString SLNet::StatisticsHistory::TimeAndValueQueue::key

Definition at line 143 of file StatisticsHistory.h.

SHValueType SLNet::StatisticsHistory::TimeAndValueQueue::longTermCount

Definition at line 148 of file StatisticsHistory.h.

SHValueType SLNet::StatisticsHistory::TimeAndValueQueue::longTermHighest

Definition at line 150 of file StatisticsHistory.h.

SHValueType SLNet::StatisticsHistory::TimeAndValueQueue::longTermLowest

Definition at line 149 of file StatisticsHistory.h.

SHValueType SLNet::StatisticsHistory::TimeAndValueQueue::longTermSum

Definition at line 147 of file StatisticsHistory.h.

SHValueType SLNet::StatisticsHistory::TimeAndValueQueue::recentSum

Definition at line 145 of file StatisticsHistory.h.

SHValueType SLNet::StatisticsHistory::TimeAndValueQueue::recentSumOfSquares

Definition at line 146 of file StatisticsHistory.h.

SHValueType SLNet::StatisticsHistory::TimeAndValueQueue::sortValue

Definition at line 184 of file StatisticsHistory.h.

Time SLNet::StatisticsHistory::TimeAndValueQueue::timeToTrackValues

Definition at line 142 of file StatisticsHistory.h.

DataStructures::Queue<TimeAndValue> SLNet::StatisticsHistory::TimeAndValueQueue::values

Definition at line 140 of file StatisticsHistory.h.

The documentation for this struct was generated from the following file:

- Source/include/slikenet/StatisticsHistory.h